<?xml version="1.0" encoding="utf-8"?>
<web-app xmlns="http://xmlns.jcp.org/xml/ns/javaee"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://xmlns.jcp.org/xml/ns/javaee http://xmlns.jcp.org/xml/ns/javaee/web-app_3_1.xsd"
         version="3.1">
  <welcome-file-list>
    <welcome-file>index.html</welcome-file>
  </welcome-file-list>
  <servlet>
    <description/>
    <display-name>SaveServlet</display-name>
    <servlet-name>SaveServlet</servlet-name>
    <servlet-class>com.mxgraph.online.SaveServlet</servlet-class>
  </servlet>
  <servlet-mapping>
    <servlet-name>SaveServlet</servlet-name>
    <url-pattern>/SaveServlet</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>SaveServlet</servlet-name>
    <url-pattern>/save</url-pattern>
  </servlet-mapping>
  <servlet>
    <description/>
    <display-name>ProxyServlet</display-name>
    <servlet-name>ProxyServlet</servlet-name>
    <servlet-class>com.mxgraph.online.ProxyServlet</servlet-class>
  </servlet>
  <servlet-mapping>
    <servlet-name>ProxyServlet</servlet-name>
    <url-pattern>/proxy</url-pattern>
  </servlet-mapping>
  <servlet>
    <description/>
    <display-name>EmbedServlet</display-name>
    <servlet-name>EmbedServlet</servlet-name>
    <servlet-class>com.mxgraph.online.EmbedServlet</servlet-class>
  </servlet>
  <servlet-mapping>
    <servlet-name>EmbedServlet</servlet-name>
    <url-pattern>/embed.js</url-pattern>
  </servlet-mapping>
  <servlet>
    <description/>
    <display-name>EmbedServlet2</display-name>
    <servlet-name>EmbedServlet2</servlet-name>
    <servlet-class>com.mxgraph.online.EmbedServlet2</servlet-class>
  </servlet>
  <servlet-mapping>
    <servlet-name>EmbedServlet2</servlet-name>
    <url-pattern>/embed2.js</url-pattern>
  </servlet-mapping>
  <servlet>
    <description/>
    <display-name>GoogleGadgetServlet</display-name>
    <servlet-name>GoogleGadgetServlet</servlet-name>
    <servlet-class>com.mxgraph.online.GoogleGadgetServlet</servlet-class>
  </servlet>
  <servlet-mapping>
    <servlet-name>GoogleGadgetServlet</servlet-name>
    <url-pattern>/gadget.xml</url-pattern>
  </servlet-mapping>
  <servlet>
    <description/>
    <display-name>ImgurRedirect</display-name>
    <servlet-name>ImgurRedirect</servlet-name>
    <servlet-class>com.mxgraph.online.ImgurRedirectServlet</servlet-class>
  </servlet>
  <servlet-mapping>
    <servlet-name>ImgurRedirect</servlet-name>
    <url-pattern>/i/*</url-pattern>
  </servlet-mapping>
  <servlet>
    <description/>
    <display-name>GitHubServlet</display-name>
    <servlet-name>GitHubServlet</servlet-name>
    <servlet-class>com.mxgraph.online.GitHubServlet</servlet-class>
  </servlet>
  <servlet-mapping>
    <servlet-name>GitHubServlet</servlet-name>
    <url-pattern>/github</url-pattern>
  </servlet-mapping>
  <servlet>
    <description/>
    <display-name>AppShortcutServlet</display-name>
    <servlet-name>AppShortcutServlet</servlet-name>
    <servlet-class>com.mxgraph.online.AppShortcutServlet</servlet-class>
  </servlet>
  <servlet-mapping>
    <servlet-name>AppShortcutServlet</servlet-name>
    <url-pattern>/app</url-pattern>
  </servlet-mapping>
  <servlet>
    <display-name>LogServlet</display-name>
    <servlet-name>LogServlet</servlet-name>
    <servlet-class>com.mxgraph.online.LogServlet</servlet-class>
  </servlet>
  <servlet-mapping>
    <servlet-name>LogServlet</servlet-name>
    <url-pattern>/log</url-pattern>
  </servlet-mapping>
    <servlet>
    <description/>
    <display-name>MSGraphAuthServlet</display-name>
    <servlet-name>MSGraphAuthServlet</servlet-name>
    <servlet-class>com.mxgraph.online.MSGraphAuthServlet</servlet-class>
  </servlet>
  <servlet-mapping>
    <servlet-name>MSGraphAuthServlet</servlet-name>
    <url-pattern>/microsoft</url-pattern>
  </servlet-mapping>
  <servlet>
    <description/>
    <display-name>GoogleAuthServlet</display-name>
    <servlet-name>GoogleAuthServlet</servlet-name>
    <servlet-class>com.mxgraph.online.GoogleAuthServlet</servlet-class>
  </servlet>
  <servlet-mapping>
    <servlet-name>GoogleAuthServlet</servlet-name>
    <url-pattern>/google</url-pattern>
  </servlet-mapping>
  <servlet>
    <description/>
    <display-name>ConverterServlet</display-name>
    <servlet-name>ConverterServlet</servlet-name>
    <servlet-class>com.mxgraph.online.ConverterServlet</servlet-class>
  </servlet>
  <servlet-mapping>
    <servlet-name>ConverterServlet</servlet-name>
    <url-pattern>/convert</url-pattern>
  </servlet-mapping>
  <servlet>
    <description/>
    <display-name>ExportProxyServlet</display-name>
    <servlet-name>ExportProxyServlet</servlet-name>
    <servlet-class>com.mxgraph.online.ExportProxyServlet</servlet-class>
  </servlet>
  <servlet-mapping>
    <servlet-name>ExportProxyServlet</servlet-name>
    <url-pattern>/export</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>ExportProxyServlet</servlet-name>
    <url-pattern>/service/*</url-pattern>
  </servlet-mapping>
  <mime-mapping>
    <extension>css</extension>
    <mime-type>text/css</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>manifest</extension>
    <mime-type>text/cache-manifest</mime-type>
  </mime-mapping>
</web-app>
